insert_resource
Prev | Resources Management | Next

## Name

insert_resource — Inserts a resource in the resource tree

## Synopsis

`int insert_resource (` | struct resource * | parent,
| struct resource * | new`)`;

## Arguments

`parent`

  parent of the new resource

`new`

  new resource to insert

## Description

Returns 0 on success, -EBUSY if the resource can't be inserted.

This function is equivalent to request_resource when no conflict happens. If a conflict happens, and the conflicting resources entirely fit within the range of the new resource, then the new resource is inserted and the conflicting resources become children of the new resource.

Prev | Up | Next
Resources Management | Home | request_resource